Public Member Functions | Public Attributes | List of all members
EvaluatorCacheT< EVALUATOR >::Entry Struct Reference

`#include <mesh.h>`

## Public Member Functions
| Entry (BufferDescriptor const &srcDescArg, BufferDescriptor const &dstDescArg, BufferDescriptor const &duDescArg, BufferDescriptor const &dvDescArg, EVALUATOR *evalArg)

## Public Attributes
BufferDescriptor | srcDesc
BufferDescriptor | dstDesc
BufferDescriptor | duDesc
BufferDescriptor | dvDesc
EVALUATOR * | evaluator

## Detailed Description

### template<typename EVALUATOR>
struct OpenSubdiv::OPENSUBDIV_VERSION::Osd::EvaluatorCacheT< EVALUATOR >::Entry

Definition at line 194 of file mesh.h.

## Constructor & Destructor Documentation

## § Entry()

Entry | ( | BufferDescriptor const & | srcDescArg,
|  | BufferDescriptor const & | dstDescArg,
|  | BufferDescriptor const & | duDescArg,
|  | BufferDescriptor const & | dvDescArg,
|  | EVALUATOR * | evalArg
| ) |  |
| inline

Definition at line 195 of file mesh.h.

## Member Data Documentation

## § dstDesc

BufferDescriptor dstDesc

Definition at line 201 of file mesh.h.

## § duDesc

BufferDescriptor duDesc

Definition at line 201 of file mesh.h.

## § dvDesc

BufferDescriptor dvDesc

Definition at line 201 of file mesh.h.

## § evaluator

EVALUATOR* evaluator

Definition at line 202 of file mesh.h.

## § srcDesc

BufferDescriptor srcDesc

Definition at line 201 of file mesh.h.

The documentation for this struct was generated from the following file:

- opensubdiv/osd/mesh.h